%global srcname traceback2

Name:           python-%{srcname}
Version:        1.4.0
Release:        %mkrel 4
Summary:        Backports of the traceback module

Group:          Development/Python
License:        Python Software Foundation License
URL:            https://github.com/testing-cabal/traceback2
Source0:        https://pypi.python.org/packages/source/t/%{srcname}/%{srcname}-%version.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
A backport of traceback to older supported Pythons.

%package -n     python3-%{srcname}
Summary:        Backports of the traceback module
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
A backport of traceback to older supported Pythons.

%prep
%setup -q -n %{srcname}-%{version}

cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%{__python2} setup.py build

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc AUTHORS ChangeLog README.rst
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.4.0-4.mga6
+ Revision: 970714
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.4.0-3.mga6
+ Revision: 887627
- use right py*version macro
- rebuild for python 3.5

* Fri Sep 04 2015 daviddavid <daviddavid> 1.4.0-2.mga6
+ Revision: 872876
- add python3 package
- use new python2 macro
- update file list

* Tue Sep 01 2015 fwang <fwang> 1.4.0-1.mga6
+ Revision: 871742
- update license
- imported package python-traceback2

